gsw_pot_enthalpy_ice_freezing_poly {gsw} | R Documentation

## Potential Enthalpy of Ice at Freezing Point (Polynomial version)

### Description

Potential Enthalpy of Ice at Freezing Point (Polynomial version)

### Usage

    gsw_pot_enthalpy_ice_freezing_poly(SA, p, saturation_fraction = 1)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`saturation_fraction` | fraction of air in water [unitless]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

potential enthalpy [ J/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_pot_enthalpy_ice_freezing_poly.html

### See Also

Other things related to enthalpy: `gsw_CT_from_enthalpy`, `gsw_dynamic_enthalpy`, `gsw_enthalpy_CT_exact`, `gsw_enthalpy_diff`, `gsw_enthalpy_first_derivatives_CT_exact`, `gsw_enthalpy_first_derivatives`, `gsw_enthalpy_ice`, `gsw_enthalpy_t_exact`, `gsw_enthalpy`, `gsw_frazil_properties_potential_poly`, `gsw_frazil_properties_potential`, `gsw_pot_enthalpy_from_pt_ice_poly`, `gsw_pot_enthalpy_from_pt_ice`, `gsw_pot_enthalpy_ice_freezing`, `gsw_pt_from_pot_enthalpy_ice_poly`, `gsw_pt_from_pot_enthalpy_ice`, `gsw_specvol_first_derivatives_wrt_enthalpy`, `gsw_specvol_first_derivatives`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    p <- c(      10,      50,     125,     250,     600,    1000)
    saturation_fraction = 1
    e <- gsw_pot_enthalpy_ice_freezing_poly(SA, p, saturation_fraction)
    expect_equal(e/1e5, c(-3.373370858777002, -3.374395733068549, -3.376079507278181,
                        -3.378416106344322, -3.385460970578123, -3.393731732645173))

[Package gsw version 1.0-5 Index]